<?php

// IPplan v4.04
// Aug 24, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../ipplanlib.php");

// set language
myLanguage($HTTP_COOKIE_VARS['ipplanLanguage']);

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
                      "http://www.w3.org/TR/REC-html40/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  <title><?php echo my_("IPplan - IP address management and tracking admin"); ?></title>
</head>

<body bgcolor="#FFFFFF">

<table border="0" width="100%">
  <tbody>
    <tr>
      <td colspan="1" bgcolor="#99CCFF">
        <center>
        <h2><?php echo my_("IPplan - IP address management and tracking admin"); ?></h2>
        </center>
        <a href="../index.php"><?php echo my_("Home"); ?></a>
      </td>
    </tr>
  </tbody>
</table>

<p>
<?php echo my_("The admin functions below can only be performed by the admin user.  Any other functions not on this page need to be performed by a normal user and CANNOT be performed by the admin user."); ?>
</p>

<?php echo my_("Admin functions:"); ?>

<blockquote>
  <ul>
    <li><a href="creategroup.php"><?php echo my_("Create a new group"); ?></a></li>
    <li><a href="createuser.php"><?php echo my_("Create a new user"); ?></a></li>
    <li><a href="addusertogroup.php"><?php echo my_("Add a user to a group"); ?></a></li>
    <li><a href="addboundstogroup.php"><?php echo my_("Add authority boundaries to a group"); ?></a></li>
    <li><a href="displayboundsform.php"><?php echo my_("Display/Delete authority boundary information"); ?></a></li>
    <li><a href="displayaccessform.php"><?php echo my_("Display/Modify/Delete access control information"); ?></a></li>
    <li><a href="importbaseform.php"><?php echo my_("Import subnet descriptions/definitions from external files"); ?></a></li>
    <li><a href="exportbaseform.php"><?php echo my_("Export subnet descriptions/definitions to external files"); ?></a></li>
    <li><a href="importipform.php"><?php echo my_("Import IP address detail records from external files"); ?></a></li>
    <li><a href="exportipform.php"><?php echo my_("Export IP address detail records to external files"); ?></a></li>
<?php
require_once("../config.php");

if (AUDIT) {
    echo '<li><a href="displayauditlog.php">';
    echo my_("Display audit log");
    echo '</a></li>';
}
?>
  </ul>
</blockquote>

<?php echo my_("User functions:"); ?>

<blockquote>
  <ul>
<?php
if (AUTH_INTERNAL) {
    echo '<li><a href="changepassword.php">';
    echo my_("Change your password");
    echo '</a></li>';
}
?>
    <li><a href="changesettings.php"><?php echo my_("Change display settings for this workstation"); ?></a></li>
  </ul>
</blockquote>

</body>
</html>
