<?php

// IPplan v4.04
// Aug 24, 2001
//
// Modified by Tony D. Koehn Feburary 2003
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../ipplanlib.php");
require_once("../adodb/adodb.inc.php");
require_once("../class.dbflib.php");
require_once("../layout/class.layout");
require_once("../auth.php");

$auth = new SQLAuthenticator(REALM, REALMERROR);

// And now perform the authentication
$grps=$auth->authenticate();

// save the last customer used
// must set path else Netscape gets confused!
setcookie("ipplanCustomer","$cust",time() + 10000000, "/");

// set language
myLanguage($HTTP_COOKIE_VARS['ipplanLanguage']);

setdefault("window",array("bgcolor"=>"white"));
//setdefault("table",array("cellpadding"=>"0"));
//setdefault("text",array("size"=>"2"));

$title=my_("Add / Edit  DNS Host");
newhtml($w);

insert($w, wheader($title));
myheading($w, $title, "../index.php", true);

// explicitly cast variables as security measure against SQL injection
$cust=floor($cust);
$zoneid=floor($zoneid);
if (!$HTTP_GET_VARS) {
   myError($w, my_("You cannot reload or bookmark this page!"));
}

// basic sequence is connect, search, interpret search
// result, close connection
$ds=new IPplanDbf() or myError($w, my_("Could not connect to database"));

insert($w, $f = form(array("method"=>"post",
                           "action"=>"modifydnsrecord.php")));
// Use the same form for adding or editing.  Setup page & variables based on action.
if ($action=='add') {
    $host="";
    $RecordType="A";
    $iphostname="";
    insert($f,hidden(array("name"=>"action", "value"=>"add")));
    insert($f,hidden(array("name"=>"zoneid", "value"=>"$zoneid")));
    $myTitle="Add";
}
else {
    insert($f,hidden(array("name"=>"action", "value"=>"edit")));
    insert($f,hidden(array("name"=>"dataid", "value"=>"$dataid")));
    $myTitle="Edit";
}
insert($f,hidden(array("name"=>"domain", "value"=>"$domain")));
insert($f,hidden(array("name"=>"cust", "value"=>"$cust")));
   
insert($f,textbrbr(my_("$myTitle Host Record for domain: ". $domain)));
insert($f,textbr(my_("---------------------------------------------")));

insert($f,textbrbr(my_("Host Name")));
insert($f,input_text(array("name"=>"host",
                           "value"=>"$host",
                           "size"=>"40",
                           "maxlength"=>"40")));

insert($f,textbrbr(my_("Record Type")));
insert($f,selectbox(array("A"=>"A",
                          "CNAME"=>"CNAME",
                          "MX"=>"MX"),
                          array("name"=>"recordtype"), $recordtype));

insert($f,textbrbr(my_("IP / Hostname")));
insert($f,input_text(array("name"=>"iphostname",
                           "value"=>"$iphostname",
                           "size"=>"40",
                           "maxlength"=>"40")));

insert($f,textbrbr(my_("Sort Order")));
insert($f,input_text(array("name"=>"sortorder",
                           "value"=>"$sortorder",
                           "size"=>"6",
                           "maxlength"=>"6")));

insert($f,generic("br"));
insert($f,submit(array("value"=>my_("Save"))));
insert($f,freset(array("value"=>my_("Clear"))));

printhtml($w);

?>
