<?php

// IPplan v4.04
// Aug 24, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../ipplanlib.php");
require_once("../adodb/adodb.inc.php");
require_once("../layout/class.layout");
require_once("../auth.php");

$auth = new SQLAuthenticator(REALM, REALMERROR);

// And now perform the authentication
$grps=$auth->authenticate();

// set language
myLanguage($HTTP_COOKIE_VARS['ipplanLanguage']);

setdefault("window",array("bgcolor"=>"white"));
//setdefault("table",array("cellpadding"=>"0"));
//setdefault("text",array("size"=>"2"));

$title=my_("Change display settings");
newhtml($w);

insert($w, wheader($title));
myheading($w, $title, "admin.php");

if ($HTTP_POST_VARS) {

   setcookie("ipplanParanoid","$paranoid",time() + 10000000, "/");
   setcookie("ipplanPoll","$poll",time() + 10000000, "/");

   insert($w,text(my_("Settings changed")));
}

if (!$HTTP_POST_VARS) {
   // display opening text
   insert($w,textbr());
   insert($w,text(my_("Change display settings for this workstation")));

   // start form
   insert($w, $f = form(array("method"=>"post",
                              "action"=>$PHP_SELF)));

   insert($f,textbrbr(my_("Setting paranoid prompts 'Are you sure?' for all deletes")));
   insert($f,selectbox(array("0"=>my_("No"),
                             "1"=>my_("Yes")),
                       array("name"=>"paranoid"),
                       (int)$ipplanParanoid));

   insert($f,block("<p>"));
   insert($f,textbr(my_("Setting poll forces a scan of the IP address before assigning it, and warns the user if the address is active. This slows down address assignment.")));
   insert($f,selectbox(array("0"=>my_("No"),
                             "1"=>my_("Yes")),
                       array("name"=>"poll"),
                       (int)$ipplanPoll));

   insert($f,generic("br"));
   insert($f,submit(array("value"=>my_("Submit"))));
   insert($f,freset(array("value"=>my_("Clear"))));
}

printhtml($w);

?>
