<?php

// IPplan v4.04
// Aug 24, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../ipplanlib.php");
require_once("../adodb/adodb.inc.php");
require_once("../class.dbflib.php");
require_once("../layout/class.layout");
require_once("../auth.php");

$auth = new BasicAuthenticator(ADMINREALM, REALMERROR);

$auth->addUser(ADMINUSER, ADMINPASSWD);

// And now perform the authentication
$auth->authenticate();

// set language
myLanguage($HTTP_COOKIE_VARS['ipplanLanguage']);

setdefault("window",array("bgcolor"=>"white"));
//setdefault("table",array("cellpadding"=>"0"));
//setdefault("text",array("size"=>"2"));

$title=my_("Display Audit Log");
newhtml($w);

insert($w, wheader($title));
myheading($w, $title, "admin.php");

$ds=new IPplanDbf() or myError($w, my_("Could not connect to database"));

if ($HTTP_POST_VARS) {

   $ds->DbfTransactionStart();
   $result=&$ds->ds->Execute("DELETE FROM auditlog");

   $ds->AuditLog(my_("Audit log cleared"));

   if ($result) {
      $ds->DbfTransactionEnd();
      insert($w,text(my_("Audit log cleared!")));
   }
   else {
      insert($w,text(my_("Audit log could not be cleared.")));
   }
}

if (!$HTTP_POST_VARS || $formerror) {
   insert($w,text($formerror, array("color"=>"red")));

   // display opening text
   insert($w,textbr());
   insert($w,text(my_("Audit log.")));

   // start form
   insert($w, $f = form(array("method"=>"post",
                              "action"=>$PHP_SELF)));

   $result=&$ds->ds->Execute("SELECT action, dt
                           FROM auditlog
                           ORDER BY dt DESC");

   insert($f,block("<pre>"));
   $cnt=0;
   while ($row = $result->FetchRow()) {
      insert($f,block($result->UserTimeStamp($row["dt"], "M d Y H:i:s")));
      insert($f,text(" - ".$row["action"]."\n"));
      $cnt++;
   }
   insert($f,block("</pre>"));
   insert($f,text(my_("Total records:")." ".$cnt));

   insert($f,hidden(array("name"=>"action",
                          "value"=>"delete")));

   insert($f,generic("p"));
   insert($f,submit(array("value"=>my_("Clear Audit Log"))));
}

printhtml($w);

?>
