<?php

// IPplan v4.04
// Aug 24, 2001
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
//

require_once("../ipplanlib.php");
require_once("../config.php");
require_once("../layout/class.layout");

// set language
myLanguage($HTTP_COOKIE_VARS['ipplanLanguage']);

setdefault("window",array("bgcolor"=>"white"));

$title=my_("Traceroute results");
newhtml($w);

insert($w, wheader($title));
myheading($w, $title, "../index.php", true);

// need to print at this stage as display data is cached via layout template
printhtml($w);
// flush buffers
ob_flush();

// does not work with safe mode

$lookup=escapeshellarg($lookup);
echo "<pre>";
// different code for Windows
if (strpos(strtoupper(PHP_OS),'WIN') !== false) {
   system("tracert $lookup", $err);
} else {
   system("traceroute $lookup 2>&1", $err);
}
echo "</pre>";

?>
